package com.jcg;

import java.util.List;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class AutoDatabaseSchemaExampleApplication {

    public static void main(String[] args) {
        SpringApplication.run(AutoDatabaseSchemaExampleApplication.class, args);
    }

    @Bean
    CommandLineRunner runner(EmployeeRepository repository) {
        return args -> {
            repository.saveAll(List.of(
                    new Employee(1L, "James Smith", "Accounting"),
                    new Employee(2L, "Brown Bob", "Engineering")
            ));
            repository.findAll().forEach(employee -> 
            System.out.println(employee.getName() + " " + employee.getDepartment())
        );
        };
    }
}
